Data Catalog Search (deprecated)

POST Search Catalogs

POST /catalog_search

Operation ID: Search Catalogs. Tags: catalog_search. Security: oauth2_application.

Searches for catalogs.

The query attribute specifies a complex query that can be used to narrow down the search. These are the list of searchable attributes:

  • id - String

  • name - String

  • description - String

  • creation_date - DateTime

  • last_modified - DateTime

There are two additional fields that can be used as search filters. They are not attributes in CatalogWO object, but can be used as filters to query catalogs based on site assignments.

  • is_master_catalog - Boolean

  • is_storefront_catalog - Boolean

On using is_master_catalog in the search query, catalogs without any site assignments are returned. On using is_storefront_catalog in the search query, catalogs with one or more site assignments are returned.

The output of the query can also be sorted. These are the list of sortable attributes:

  • id - String

  • name - String

  • description - String

  • creation_date - DateTime

This endpoint may return the following faults:

  • 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.

Request body (required)

Media type: application/json, text/xml. Schema: search_request.

Responses

  • 400 MalformedSearchParameterException - Thrown if the query is ill-formed.

    Media type: application/json, text/xml. Schema: fault.

  • default

    Media type: application/json, text/xml. Schema: catalog_search_result.